
public class Circle extends Shape
{
    private double radius;      // Radius of this circle
    
    // Construct a new circle at (x, y) of color (r, g, b) with given radius
    public Circle(double x, double y, double r, double g, double b, double radius)
    {
        super(x, y, r, g, b);
        this.radius = radius;
    }
    
    // Getter for the radius of the circle
    public double getRadius()
    {
        return radius;
    }
    
    // Calculate the area of this circle
    public double getArea()
    {
        return Math.PI * radius * radius;
    }

    // Draw this circle using StdDraw
    public void draw()
    {
        StdDraw.setPenColor(getColor());
        StdDraw.filledCircle(getX(), getY(), radius);
    }
    
    // Return a string representation of this circle
    public String toString()
    {
        return String.format("Circle @ (%.2f, %.2f), radius = %.2f", getX(), getY(), radius);
    }
    
}
