
public class Donut extends Circle
{
    private double innerRadius;
    
    public Donut(double x, double y, 
                 double r, double g, double b, 
                 double radius, double innerRadius)
    {
        super(x, y, r, g, b, radius);
        this.innerRadius = innerRadius;
    }
    
    // Return a string representation of this circle
    public String toString()
    {
        return String.format("Donut @ (%.2f, %.2f), radius = %.2f, innerRadius = %.2f", 
                             getX(), 
                             getY(), 
                             getRadius(), 
                             innerRadius);
    }
    
    public double getInnerRadius()
    {
        return innerRadius;
    }
    
    public void draw()
    {
        super.draw();
        
        StdDraw.setPenColor(StdDraw.WHITE);
        StdDraw.filledCircle(getX(), getY(), innerRadius);
    }
}
