
public class Rectangle extends Shape
{
    private double width;     // Width of this rectangle
    private double height;    // Height of this rectangle
    
    // Construct a new circle at (x, y) of color (r, g, b) with given radius
    public Rectangle(double x, double y, double r, double g, double b, double width, double height)
    {
        super(x, y, r, g, b);
        this.width = width;
        this.height = height;
    }
    
    // Calculate the area of this circle
    public double getArea()
    {
        return width * height;
    }

    // Draw this circle using StdDraw
    public void draw()
    {
        StdDraw.setPenColor(getColor());
        StdDraw.filledRectangle(getX(), getY(), width / 2.0, height / 2.0);
    }
    
    // Return a string representation of this rectangle
    public String toString()
    {
        return String.format("Rectangle @ (%.2f, %.2f) [%.2f x %.2f]", getX(), getY(), width, height);
    }
}
