
public class SprinkledDonut extends Donut
{
    private int numSprinkles;

    public SprinkledDonut(double x, double y, 
            double r, double g, double b, 
            double radius, double innerRadius,
            int numSprinkles)
    {
        super(x, y, r, g, b, radius, innerRadius);
        this.numSprinkles = numSprinkles;
    }
    
    // Return a string representation of this circle
    public String toString()
    {
        return String.format("SprinkledDonut @ (%.2f, %.2f), radius = %.2f, innerRadius = %.2f, sprinkles", 
                getX(), getY(), getRadius(), getInnerRadius(), numSprinkles);
    }
    
    public void draw()
    {
        super.draw();
        final double SPRINKLE_RADIUS = 0.002;
        
        int num = 0;
        while (num < numSprinkles)
        {
            double sprinkleX = Math.random();
            double sprinkleY = Math.random();
            double d = distance(sprinkleX, sprinkleY);
            
            if ((d > getInnerRadius() + SPRINKLE_RADIUS) && (d < getRadius() - SPRINKLE_RADIUS))
            {
                StdDraw.setPenColor(StdDraw.PINK);
                StdDraw.filledCircle(sprinkleX, sprinkleY, SPRINKLE_RADIUS);
                num++;
            }
        }
    }
    
}
